# Generated by Django 3.0.5 on 2020-04-30 13:41

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='TransactionMercanet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('transactionReference', models.CharField(max_length=35, unique=True, validators=[
                    django.core.validators.RegexValidator('^[0-9a-zA-Z]*$',
                                                          'Only alphanumeric characters are allowed.')])),
                ('amount', models.IntegerField(verbose_name='Montant (centimes)')),
                ('orderId', models.IntegerField(verbose_name="ID de l'adhésion")),
                ('returnContext', models.CharField(max_length=255, verbose_name='Données de contexte adhésion')),
                ('normalReturnUrl', models.URLField(max_length=1023, verbose_name='URL de retour client')),
                ('transactionDateTime', models.DateTimeField(null=True, verbose_name='Date du paiement')),
                ('responseCode', models.CharField(max_length=3, null=True, verbose_name='Code de réponse')),
            ],
            options={
                'verbose_name': 'Transaction MercaNET',
                'verbose_name_plural': 'Transactions MercaNET',
            },
        ),
    ]
